Bug 805934 - [abrt] setroubleshoot-server-3.1.3-1.fc16: handle_error: Process /usr/bin/python was killed by signal 5 (SIGTRAP)
[abrt] setroubleshoot-server-3.1.3-1.fc16: handle_error: Process /usr/bin/pyt...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dave Malcolm
Fedora Extras Quality Assurance
abrt_hash:33a90fb73f6d54bcb4a0f856e4a...
:
: 641634 663245 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-22 09:59 EDT by Sergey
Modified: 2013-02-13 09:03 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:03:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (14.49 KB, text/plain)
2012-03-22 09:59 EDT, Sergey
no flags Details
File: build_ids (5.77 KB, text/plain)
2012-03-22 09:59 EDT, Sergey
no flags Details
File: maps (61.08 KB, text/plain)
2012-03-22 09:59 EDT, Sergey
no flags Details
File: backtrace (56.14 KB, text/plain)
2012-03-22 09:59 EDT, Sergey
no flags Details

  None (edit)
Description Sergey 2012-03-22 09:59:09 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        /usr/bin/python -Es /usr/bin/sealert -s
comment:        I've closed this tool after I've selected the first variant
crash_function: handle_error
executable:     /usr/bin/python
kernel:         3.3.0-4.fc16.x86_64
pid:            9661
pwd:            /
reason:         Process /usr/bin/python was killed by signal 5 (SIGTRAP)
time:           Thu 22 Mar 2012 17:47:16 MSK
uid:            1000
username:       sgrafchicov
xsession_errors: 

backtrace:      Text file, 57487 bytes
build_ids:      Text file, 5904 bytes
dso_list:       Text file, 14836 bytes
maps:           Text file, 62549 bytes

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-HrlP7mTYqy,guid=a5a6bedfe2f4891923c09c9e0000086d
:XDM_MANAGED=method=classic
:XDG_SESSION_COOKIE=067cecf6a81af9173e4a8aed00000010-1332420747.584659-550517230
:XDG_RUNTIME_DIR=/run/user/sgrafchicov
:DISPLAY=:0
:DESKTOP_SESSION=kde-plasma
:WINDOWPATH=2
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/games
:XDG_VTNR=2
:DM_CONTROL=/var/run/xdmctl
:XDG_SESSION_ID=3
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-HrlP7mTYqy,guid=a5a6bedfe2f4891923c09c9e0000086d
:XDG_SEAT=seat0
:XAUTHORITY=/var/run/kdm/.Xauth6VRUOb
:USER=sgrafchicov
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=3627
:SHLVL=1
:PWD=/home/sgrafchicov
:GNOME_KEYRING_CONTROL=/tmp/keyring-qNkxpY
:LANG=en_GB.UTF-8
:_=/usr/bin/dbus-launch
:LOGNAME=sgrafchicov
:HOME=/home/sgrafchicov

smolt_data:
:
:
:General
:=================================
:UUID: 6f6cd4a5-f0c9-4bcf-8ec2-e89c0e3c0595
:OS: RFRemix release 16.1 (Verne)
:Default run level: Unknown
:Language: en_GB.UTF-8
:Platform: x86_64
:BogoMIPS: 6028.92
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Pentium(R) 4 CPU 3.00GHz
:CPU Stepping: 3
:CPU Family: 15
:CPU Model Num: 4
:Number of CPUs: 2
:CPU Speed: 3000
:System Memory: 2004
:System Swap: 1503
:Vendor: Unknown
:System:  
:Form factor: Desktop
:Kernel: 3.3.0-4.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(5348:5789:5208:57344) pci, tg3, ETHERNET, NetLink BCM5789 Gigabit Ethernet PCI Express
:(32902:10196:0:0) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 3
:(32902:10176:5208:45058) pci, ata_piix, STORAGE, N10/ICH7 Family SATA IDE Controller
:(32902:10192:0:0) pci, pcieport, PCI/PCI, N10/ICH 7 Family PCI Express Port 1
:(32902:10168:5208:20481) pci, None, PCI/ISA, 82801GB/GR (ICH7 Family) LPC Interface Bridge
:(32902:10200:5208:41218) pci, snd_hda_intel, MULTIMEDIA, GA-8I945PG-RH Mainboard
:(32902:10207:5208:45057) pci, ata_piix, STORAGE, 82801G (ICH7 Family) IDE Controller
:(32902:10202:5208:20481) pci, i801_smbus, SERIAL, GA-8I945PG-RH Mainboard
:(32902:9294:0:0) pci, None, PCI/PCI, 82801 PCI Bridge
:(4318:321:0:0) pci, None, VIDEO, NV43 [GeForce 6600]
:(32902:10185:5208:20484) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:5208:20484) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:10096:5208:20480) pci, None, HOST/PCI, 82945G/GZ/P/PL Memory Controller Hub
:(32902:10186:5208:20484) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10187:5208:20484) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10188:5208:20486) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:(32902:10097:5208:20480) pci, pcieport, PCI/PCI, 82945G/GZ/P/PL PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda4 / ext4 4096 4096 7444391 4905919 4532774 1867776 1546393 1546393
:/dev/sda1 /usr/local ext4 1024 1024 202770 127588 117348 51200 51112 51112
:/dev/mapper/vg_sydex-lv_root /home ext4 4096 4096 14052633 6893720 6189772 3522560 3050929 3050929
:/dev/sr0 WITHHELD iso9660 2048 2048 139725 0 0 0 0 0
:

var_log_messages:
:Mar 22 16:16:06 sergeygraf firstboot[943]: /usr/lib/python2.7/site-packages/firstboot/pwcheck.py:259: PangoWarning: pango_layout_get_cursor_pos: assertion `index >= 0 && index <= layout->length' failed
:Mar 22 17:47:19 sergeygraf abrt[12821]: Saved core dump of pid 9661 (/usr/bin/python) to /var/spool/abrt/ccpp-2012-03-22-17:47:16-9661 (78266368 bytes)
Comment 1 Sergey 2012-03-22 09:59:13 EDT
Created attachment 571998 [details]
File: dso_list
Comment 2 Sergey 2012-03-22 09:59:15 EDT
Created attachment 571999 [details]
File: build_ids
Comment 3 Sergey 2012-03-22 09:59:17 EDT
Created attachment 572000 [details]
File: maps
Comment 4 Sergey 2012-03-22 09:59:19 EDT
Created attachment 572001 [details]
File: backtrace
Comment 5 Sergey 2012-03-22 10:04:00 EDT
I've cancelled solving the problem. Please check what happens if the user declines entering the password.
Comment 6 Daniel Walsh 2012-03-22 11:07:53 EDT
Well that code is now owned by abrt, although I was not able to reproduce.
Comment 7 abrt-bot 2012-03-30 09:18:04 EDT
Backtrace analysis of bugs across components suggests the actual bug is in component python, pygtk2, gtk2 or libX11 instead of component abrt, reassigning to python.

Bugs which were found to be similar to this bug: 
  sugar: bug #641634, bug #663245

This comment is automatically generated.
Comment 8 abrt-bot 2012-03-30 09:18:16 EDT
*** Bug 663245 has been marked as a duplicate of this bug. ***
Comment 9 abrt-bot 2012-03-30 09:18:25 EDT
*** Bug 641634 has been marked as a duplicate of this bug. ***
Comment 10 Fedora End Of Life 2013-01-16 08:18:58 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Fedora End Of Life 2013-02-13 09:03:45 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.